/* CSS reset */
*, *::before, *::after {box-sizing: border-box;}* {margin: 0;}@media (prefers-reduced-motion: no-preference) {html {interpolate-size: allow-keywords;}}body {line-height: 1.5;-webkit-font-smoothing: antialiased;}img, picture, video, canvas, svg {display: block;max-width: 100%;}input, button, textarea, select {font: inherit;}p, h1, h2, h3, h4, h5, h6 {overflow-wrap: break-word;}p {text-wrap: pretty;}h1, h2, h3, h4, h5, h6 {text-wrap: balance;}#root, #__next {isolation: isolate;}

/* Main styling */

:root {
  font-size: 18px;
  --font-sans: "Signika Negative";
  --clr-accent: #1dbacf;
}

* {
  font-size: 1em;
  line-height: 1em;
  box-sizing: border-box;
}

body {
  font-family: var(--font-sans);
  font-size: 1em;
  line-height: 1em;
  color: #5e5e5e;
}

h1, h2, h3, h4, h5, h6 {
  font-family: var(--font-sans);
  font-weight: 400;
  line-height: 1.25em;
  margin-bottom: 0;
  display: block;
  color: #3e3e3e;
}

h6 {
  font-size: 1.125em;
  margin-bottom: 0;
}

h5 {
  font-size: 1.25em;
  margin-bottom: 0.25em;
}

h4 {
  font-size: 1.5em;
  margin-bottom: 0.5em;
}

h3 {
  font-size: 1.75em;
}

h2 {
  font-size: 2em;
}

h1 {
  font-size: 2.25em;
}

h1.main-title {
  display: block;
  text-align: center;
  margin-bottom: 1em;
}

a {
  text-decoration: none;
}

.container {
  display: block;
  width: min(100%, 1100px);
  margin-inline: auto;
  padding-inline: 10vw;
}

.container.narrow {
  width: min(100%, 800px);
}

@media (min-width:800px) {
  .container.narrow {
    margin-inline: auto;
    padding: 0 3rem;
  }
}

@media (min-width:1100px) {
  .container {
    margin-inline: auto;
    padding: 0 3rem;
  }
}

.entry a {
	font-weight: bold;
	color: var(--clr-accent);
}

b, strong {
  font-weight: bold;
}

.entry p, .entry li {
  line-height: 1.5em;
}

section.content {
  padding-top: max(8vw, 8vh);
  padding-bottom: max(8vw, 8vh);
}

.flex {
  display: flex;
}

.centered {
  display: block;
  margin: 0 auto;
  text-align: center;
}

p.justify {
  text-align: justify;
}

.entry h2 {
  font-size: 1.5em;
  font-weight: normal;
}

.entry table {
  width: 100%;
  display: block;
}

  @media (min-width: 768px) {
    .entry table {
      width: auto;
      display: flex;
      justify-content: center;
    }
  }

.entry table th,
.entry table td {
  padding: 0.75em 1em;
}


 hr.separator {
  border: none;
  border-top: 1px solid rgba(255,255,255,0.25);
  margin: 2em 0;
 }

/* --- Header --- */

#topbar {
  background: white;
  color: #1DBACF;
  padding-top: 15px;
  padding-bottom: 15px;
}

#topbar .container .mobile-wrapper {
  display: flex;
  width: 100%;
  justify-content: space-between;
}

#toggle-btn {
  display: flex;
  flex-wrap: wrap;
	align-items: center;
  width: 50px;
  height: 50px;
  border: 2px solid lightgray;
  border-radius: 0.5rem;
	padding: 10px;
	box-sizing: border-box;
}

#toggle-btn span {
	display: inline-block;
	width: 100%;
	height: 3px;
	background: grey;
	border-radius: 2px;
	margin: 0;
	padding: 0;
}

#toggle {
  display: flex;
  justify-content: flex-end;
}

#drawer {
  display: none;
}

#drawer.open {
  display: flex;
  flex-direction: column;
  margin-top: 1rem;
  padding: 1rem;
  border: 2px solid lightgray;
  border-radius: 0.5rem;
  box-shadow: 0 0 1rem #00000011
}

#logo {
  display: flex;
  align-items: center;
}

#topbar-logo {
  height: 40px;
  width: auto;
}

#topbar--contact ul {
  list-style-type: none;
  margin: 0;
  padding: 0 0 1rem 0;
  border-bottom: 1px solid #eee;
}

#topbar--contact ul li {
  display: flex;
  justify-content: flex-end;
  font-size: 0.85rem;
  line-height: 1.5em;
}

#topbar--contact ul li span {
  margin-right: 10px;
}

#topbar--contact ul li a {
  display: flex;
  align-items: center;
  padding: 0.5rem 0;
  font-family: var(--font-sans);
  color: #1DBACF;
}

#topbar--contact ul li a svg {
  height: 1rem;
  width: auto;
  fill: var(--clr-accent);
}

#topbar--menu ul {
  display: block;
  list-style-type: none;
  margin: 0;
  padding: 1rem 0 0 0;
}

#topbar--menu ul li {
  display: flex;
  justify-content: flex-end;
  line-height: 1.75em;
}

#topbar--menu ul li a {
  display: block;
  color: black;
  padding: 0.75rem 0;
  font-size: 1em;
  font-weight: 700;
  text-transform: uppercase;
  transition: color 250ms ease-in;
}

#topbar--menu ul li a:hover {
  color: #1DBACF;
}

@media (min-width:992px) {
  #topbar .container {
    display: flex;
  }

  #topbar .mobile-wrapper {
    flex: 1;
  }

  #topbar-logo {
    height: 40px;
    width: auto;
    padding: 0;
    box-sizing: content-box;
  }

  #drawer {
    display: flex;
    flex: 2;
    flex-direction: column;
  }

  #toggle-btn {
    display: none;
  }

  #topbar--contact {
    display: flex;
    justify-content: flex-end;
  }

  #topbar--contact ul {
    border: 0;
    margin: 0;
    padding: 0;
  }

  #topbar--contact ul li {
    display: inline-block;
    margin-right: 25px;
  }

  #topbar--contact ul li:last-child {
    margin-right: 0;
  }

  #topbar--menu {
    display: flex;
    justify-content: flex-end;
  }

  #topbar--menu ul {
    display: flex;
    gap: 2rem;
    margin: 0;
    padding: 15px 0 10px;
  }

  #topbar--menu ul li {
    display: inline-block;
    margin: 0;
  }

  #topbar--menu ul li:last-child {
    margin-right: 0;
  }

  #topbar--menu ul li a {
    padding: 0;
  }
}

/* --- Hero / header --- */

section#hero {
  padding: 7.5vh 0;
  background-image: linear-gradient(to bottom, #ffffff, #1dbacf11);
}

section#hero > .container {
  display: flex;
  flex-direction: column-reverse;
  gap: 2.5vh;
}

section#hero .page-title h1 {
  font-size: 2.25rem;
  font-weight: 600;
  color: var(--clr-accent);
}

section#hero .page-title span {
  display: inline-block;
  margin-top: 1rem;
  font-size: 0.9rem;
  line-height: 1.75em;
}

section#hero .page-title {
  width: min(100%, 600px);
}

section#hero .page-image {
  display: flex;
  justify-content: center;
}

section#hero .page-image > img {
  object-fit: contain;
  width: min(100%, 400px);
  height: 100%;
}

body.page-id-13 section#hero .page-image > img,
body.page-id-162 section#hero .page-image > img {
  width: min(100%, 300px);
  border-radius: 50%;
  border: 10px solid white;
  box-shadow: 0 0 3rem rgba(0,0,0,0.05);
}

@media (min-width: 1000px) {
  section#hero {
    padding: min(5vw, 5rem) 0;
  }

  section#hero > .container {
    flex-direction: row;
  }

  section#hero .page-image,
  section#hero .page-title {
    padding: 0;
  }

  section#hero .page-title {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-right: 2.5vw;
  }

  section#hero .page-image {
    flex: 1;
    padding-left: 2.5vw;
  }

  section#hero .page-title h1 {
    font-size: 2.5rem;
    line-height: 1em;
  }
}

/* --- Home page : intro --- */

section#intro article img {
  height: 75px;
  width: auto;
  display: block;
  margin: 0 auto;
}

a.underline {
  font-weight: bold;
  text-transform: lowercase;
  color: white;
  background-image: linear-gradient( rgba(255,255,255,0.5), rgba(255,255,255,0.5) );
  background-size: 0 2px;
  background-position: 0 1.75em;
  background-repeat: no-repeat;
  line-height: 1em;
  padding: 10px 0;
  transition: background-size 250ms ease-in;
}

a.underline:hover {
  background-size: 100% 2px;
}

/* --- Home page : asssets --- */

section#assets {
  background-image: linear-gradient(to bottom, hsl(187,75%,46%), hsl(187,75%,40%));
}

section#assets .container {
  display: grid;
  row-gap: 1rem;
}

section#assets .container > div,
section#assets .container > div > div {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

section#assets .icon {
  width: 3rem;
}

section#assets .icon img {
  height: 2rem;
  width: auto;
  display: block;
}

section#assets .icon svg {
  fill: white;
}

section#assets .description {
  width: calc(100% - 3rem);
}

section#assets .description span {
  display: block;
  text-align: center;
  font-weight: 500;
  text-align: left;
  line-height: 1.5em;
  color: white;
}

@media (min-width:800px) {
  section#assets .container {
    grid-template-columns: 1fr 1fr;
    column-gap: min(5vw, 2.5rem);
  }

  section#assets .container > div {
    justify-content: center;
  }

  section#assets .container > div > div {
    width: 100%;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
  }

  section#assets .container .icon,
  section#assets .container .description {
    display: flex;
    justify-content: center;
  }

  section#assets .container .icon svg {
    height: 2rem;
    width: auto;
  }
}

@media (min-width:1600px) {
  section#assets .container {
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: min(5vw, 2.5rem);
  }
}

/* --- Footer --- */

footer {
  background: black;
  padding: 1.5em 0 2em;
}

footer .container {
  display: flex;
}

footer #footer-menu {
  margin-right: auto;
}

#footer-menu ul {
  display: flex;
  flex-direction: column;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

#footer-menu ul li a {
  display: block;
  color: white;
  font-size: 0.85em;
  padding: 0.5em 0;
  margin-right: 1em;
  font-weight: normal;
  text-transform: none;
  background: none;
  transition: color 250ms ease-in;
}

#footer-menu ul li a:hover {
  color: #1DBACF;
}

#social {
  display: flex;
  justify-content: flex-end;
}

#social img {
  height: 2rem;
  width: auto;
}

@media (min-width:800px) {
  footer .container {
    align-items: center;
  }
  
  #footer-menu ul {
    flex-direction: row;
  }
}

/* --- Zespół --- */

#person, .person {
  display: block;
  width: 250px;
  height: 250px;
  margin: 50px auto 0;
  border-radius: 50%;
  overflow: hidden;
  border: 5px solid white;
}

#person img, .person img {
  width: 100%;
  height: auto;
}

.title h3 {
  display: block;
  text-align: center;
  color: white;
}

span.separator {
	display: inline-block;
	width: 100%;
	height: 1px;
	background: rgba(255,255,255,0.25);
	margin: 30px 0;
}

.contact ul {
	display: block;
	margin: 0;
	padding: 0;
	list-style-type: none;
}

.contact ul li {
	display: block;
}

.contact ul li a {
	display: inline-block;
	padding: 5px 0;
}

.contact ul li#phone a {
	font-size: 1.5rem;
}

.contact ul li#email a {
	font-size: 1.15rem;
	font-weight: normal;
}

/* --- Page (default) --- */

section#page > .container {
  display: flex;
  flex-direction: column;
  gap: clamp(5vh, 5vw, 5rem);
}

section#page > .container > div {
  flex: 1;
}

section#page .entry {
  width: min(100%, 600px);
}

section#page .image {
  display: flex;
  justify-content: flex-end;
}

section#page .image > img {
  object-fit: contain;
  width: min(100%, 400px);
  height: 100%;
}

@media (min-width:1000px) {
  section#page > .container {
    flex-direction: row;
  }
}

/* --- Oferta --- */

section#offer > .container {
  display: flex;
  flex-direction: column;
  gap: 10vh;
}

section#offer .entry {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

section#offer .entry h3 {
  margin-bottom: 1.25rem;
}

section#offer .entry ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

section#offer .entry ul li {
  border-bottom: 1px dashed lightgray;
}

section#offer .entry ul li:last-child {
  border-bottom: 0;
}

section#offer .entry ul a {
  display: flex;
  align-items: center;
  gap: 1rem;
  padding: 0.75em 1em 0.75em 1em;
  color: #6e6e6e;
  font-weight: 400;
  transition: color 500ms ease-in-out, background-color 500ms ease-in-out;
}

section#offer .entry ul a:hover {
  color: var(--clr-accent);
  background-color: #1dbacf11;
}

section#offer .image {
  display: flex;
  justify-content: flex-end;
}

section#offer .image > img {
  object-fit: contain;
  width: min(100%, 400px);
  height: 100%;
}

@media (min-width:1000px) {
  section#offer > .container {
    display: flex;
    flex-direction: row;
  }
  
  section#offer > .container > div {
    flex: 1;
  }
}

/* --- Kontakt --- */

section#page .form h5 {
  margin-bottom: 2rem;
}

/* --- Map --- */

#map {
  height: 325px;
  margin-top: 2rem;
  background: lightgray;
  border-radius: 0.5rem;
}

#map a {
  font-weight: 400;
  font-size: 0.85em;
}

#map .leaflet-control-attribution.leaflet-control svg {
  display: none !important;
}

/* --- Contact form 7 --- */

#contact-form label,
#contact-form .disclaimer p {
  font-size: 0.85rem;
  color: #8e8e8e;
}

#contact-form input,
#contact-form textarea {
  display: block;
  width: 100%;
  margin-top: 0.5rem;
  margin-bottom: 1rem;
  padding: 0.75em 1em;
  font-size: 1em;
  border: 2px solid transparent;
  background: #f5f5f5;
  border-radius: 0.5rem;
  outline: none;
  transition: border-color 500ms ease-in-out;
}

#contact-form input:focus,
#contact-form input:active,
#contact-form textarea:focus,
#contact-form textarea:active {
  border-color: var(--clr-accent);
}

#contact-form input[type="submit"] {
  color: white;
  text-transform: uppercase;
  background-color: var(--clr-accent);
  cursor: pointer;
  transition: background-color 500ms ease-in-out;
}

#contact-form input[type="submit"]:hover {
  background-color: hsl(187,75%,40%);
}

.wpcf7-response-output {
	color:white;
	border:none !important; 
	background:black;
	padding:1em !important;
	display:inline-block;
	width:100% !important;
	margin:0 !important;
	position:relative !important;
	top:-40px !important;
	border-left:5px solid white !important;
}

/* --- Cennik --- */

figure.wp-block-table {
  width: 100%;
  border-bottom: 0;
}

figure.wp-block-table.is-style-stripes {
  border-bottom: 0;
}

figure.wp-block-table table {
  display: inline-block;
  border-bottom: 1px solid #1dbacf66;
}

section#cennik .container {
  display: flex;
  flex-direction: column;
  gap: 5vh;
}

section#cennik .image {
  display: flex;
  justify-content: flex-end;
}

section#cennik .image > img {
  object-fit: contain;
  width: min(100%, 400px);
  height: 100%;
}

section#cennik .wp-block-table thead {
  border-bottom: 2px solid var(--clr-accent);
}

section#cennik .wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
  background-color: #1dbacf11;
}

@media (min-width:1000px) {
  section#cennik .container {
    flex-direction: row;
  }

  section#cennik .container > div {
    flex: 1;
  }
}